Subject: [PATCH v12 05/16] arm64: Add back cpu_reset routines

From: [email-masked] (Will Deacon)
Date: Thu, 3 Dec 2015 09:32:13 +0000

On Wed, Dec 02, 2015 at 02:57:30PM -0800, Geoff Levand wrote:
> On Mon, 2015-11-30 at 10:40 +0000, Marc Zyngier wrote:
> 
> > All that can be solved in C, and mostly at compile time. Using an
> > assembler trampoline is complicating things for no good reason:
> 
> I added this into my kexec-v12.1 branch.  After some more testing I'll
> post a v13 to the list.

You may well need some notrace annotations if you want to run C code
here. Can you give it a spin with things like ftrace and kprobes?

Will